<?php
/**
* コンポーネントを利用するタスク
*
* PHP version 5
*
* @package    core
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

abstract class ComponentTask extends Task implements ITask
{
	/*
	 *	コンストラクタ
	 */
	public function __construct()
	{
		parent::__construct();
	}

	/*
	 * コンポーネントを取得する
	 */
	public function getComponent( String $component_name )
	{
		return DIContainer::getComponent( $component_name );
	}


}


return __FILE__;